/*
 *========================================================================
 * $Id: quit.c 37 2004-02-13 22:34:15Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include "wulflogger.h"

void quit()
{

 Host *hostptr;
 ListElement *element;

 element = hostlist->head;
 while(element != NULL){
   hostptr = element->data;
   if(hostptr->client_fd && hostptr->connected){
     close(hostptr->client_fd);
   }
   element = element->next;
 }

 exit(0);

}
